Bug 33599 - When focusing out and in the window, cursor in notes is reset to the beginning
Summary: When focusing out and in the window, cursor in notes is reset to the beginning
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:3.6.0
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-27 08:47 UTC by Jean-François Fortin Tam
Modified: 2012-05-19 05:54 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-François Fortin Tam 2011-01-27 08:47:43 UTC
1) start writer
2) insert a new note (ctrl+alt+N?)
3) type some text in it; the text cursor is now at the end of the note
4) alt+tab to another app
5) alt+tab to go back to writer

Result:
- the text cursor is not visible
- typing results in the text being inserted at the beginning of the note (instead of at the end or at the "last position" of the text cursor)
Comment 1 sasha.libreoffice 2011-02-24 06:46:20 UTC
on Linux 64 this problem exists on LibreOffice 3.3.1
Comment 2 Björn Michaelsen 2011-12-23 11:46:29 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 3 Not Assigned 2012-04-28 13:18:28 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4f42beedc34837da5d1f4cc26405e5f998b005d1

Resolves: fdo#33599 cursor in notes is reset to start on focus out/focus in
Comment 4 Caolán McNamara 2012-04-28 13:19:53 UTC
That should squash that I hope
Comment 5 manj_k 2012-05-19 05:54:20 UTC
VERIFIED 

on WinXP 32b
w/
LibO-Dev_3.6.0alpha0
Win-x86@6-fast MASTER
pull time 2012-05-17 21:20:44
core:8b1d29bc9b00bc2730738a990023a65ab6e0219b

Steps 1-5 (description)
- cursor in comment is visible
- cursor position in comment is correct